Page 1 of 1

Q- สอบถามวิธีการติดตั้ง postgresql หน่อยครับ

Posted: 02/11/2018 10:06 am
by tatiya
ผมใช้ OS ubuntu 16.04 LTS ครับ ผมติดตั้ง Postgresql ไม่ได้ครับ
ผมลอง ติดตั้งแล้วนะครับ

Code: Select all

sudo apt-get update

Code: Select all

sudo apt-get install postgresql
ผลลัพท์
com015@com015-Inspiron-5570:~$ sudo apt-get install postgresql
Reading package lists... Done
Building dependency tree
Reading state information... Done
postgresql is already the newest version (9.5+173ubuntu0.2).
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
openerp : Depends: python-imaging but it is not going to be installed
Recommends: antiword but it is not going to be installed
Recommends: python-gevent but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

Re: Q- สอบถามวิธีการติดตั้ง postgresql หน่อยครับ

Posted: 02/11/2018 10:41 am
by mindphp
ติดตั้งโมดูลเสริมเหล่านี้ก่อน
python-imaging
antiword
python-gevent

หรือใช้คำสั่ง
sudo apt-get -f install postgresql
ในการติดตั้ง

Re: Q- สอบถามวิธีการติดตั้ง postgresql หน่อยครับ

Posted: 02/11/2018 11:05 am
by tatiya
mindphp wrote:ติดตั้งโมดูลเสริมเหล่านี้ก่อน
python-imaging
antiword
python-gevent

หรือใช้คำสั่ง
sudo apt-get -f install postgresql
ในการติดตั้ง
ผมลองใช้คำสั่ง

Code: Select all

sudo apt-get -f install postgresql
ผลลัพท์ เหมือนเดิม
ผมเลยใช้คำสั่ง

Code: Select all

sudo apt --fix-broken install


แล้ว

Code: Select all

sudo apt-get update

Code: Select all

sudo apt-get upgrade
ตอนนี้ติดตั้งได้แล้วครับ
Selection_071.png
Selection_071.png (23.01 KiB) Viewed 2448 times
Selection_072.png
Selection_072.png (28.9 KiB) Viewed 2448 times
Selection_073.png
Selection_073.png (81.2 KiB) Viewed 2448 times